﻿Imports System.Drawing.Drawing2D

Public Class Form1
    ' Print a page.
    Private Sub pdocGraph_PrintPage(ByVal sender As Object, ByVal e As System.Drawing.Printing.PrintPageEventArgs) Handles pdocGraph.PrintPage
        Dim pts() As Point = {
            New Point(e.MarginBounds.Left + e.MarginBounds.Width \ 2, e.MarginBounds.Top),
            New Point(e.MarginBounds.Right, e.MarginBounds.Top + e.MarginBounds.Height \ 2),
            New Point(e.MarginBounds.Left + e.MarginBounds.Width \ 2, e.MarginBounds.Bottom),
            New Point(e.MarginBounds.Left, e.MarginBounds.Top + e.MarginBounds.Height \ 2)
        }

        ' Draw a diamond.
        Using the_pen As New Pen(Color.Black, 10)
            the_pen.DashStyle = DashStyle.Dash
            e.Graphics.DrawPolygon(the_pen, pts)
        End Using

        ' There are no more pages.
        e.HasMorePages = False
    End Sub

    ' Set AutoZoom so the control enlarges the image to fit.
    ' For some reason, doing this at design time doesn't work.
    Private Sub Form1_Load() Handles Me.Load
        PrintPreviewControl1.AutoZoom = True
    End Sub
End Class
